# Generate a pseudo UUID
uuid()
{
    local N B T

    for (( N=0; N < 16; ++N ))
    do
        B=$(( $RANDOM%255 ))

        if (( N == 6 ))
        then
            printf '4%x' $(( B%15 ))
        elif (( N == 8 ))
        then
            local C='89ab'
            printf '%c%x' ${C:$(( $RANDOM%${#C} )):1} $(( B%15 ))
        else
            printf '%02x' $B
        fi

        for T in 3 5 7 9
        do
            if (( T == N ))
            then
                printf '-'
                break
            fi
        done
    done

    echo
}


while [ x$1 != x ]; do
	echo "Processing $1"
	ASSET=$1
	ASSET_LOWER=$(echo $1 | tr A-Z a-z)
	ASSET_UPPER=$(echo $1 | tr a-z A-Z)
	MAIN_UUID=$(uuid)
	PARENT_UUID=$(uuid)
	sed -e s/PARENT_UUID/$PARENT_UUID/g -e s/MAIN_UUID/$MAIN_UUID/g tmpl.json -e s/LOWER_CODE/$ASSET_LOWER/g -e s/UPPER_CODE/$ASSET_UPPER/g > catalogs/$ASSET_LOWER.json
	shift
done

